# -*- coding: utf-8 -*-
##############################################################################
#
#    Module for Process Industries for OpenERP
#    Copyright (C) 2008-Today HUMANS & DIVERSITY. (http://www.hu-div.fr)
#    All Right Reserved
#
#    Author : Claude Montaigne <claude.montaigne@hu-div.fr>
#
#    WARNING: This program as such is intended to be used by professional
#    programmers who take the whole responsability of assessing all potential
#    consequences resulting from its eventual inadequacies and bugs
#    End users who are looking for a ready-to-use solution with commercial
#    garantees and support are strongly adviced to contract a Free Software
#    Service Company
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import netsvc
import decimal_precision as dp
from tools.translate import _
from osv import fields, osv
import time

class lot_info(osv.osv_memory):
    _name = 'lot.info'
    _description = 'Lot Info'
    
    _columns = {
        'resultat': fields.text('Lot Infos', readonly=True)
    }

    _defaults = {
        'resultat': lambda self, cr, uid, c: self.pool.get('lot.info')._lotinfo(cr, uid, context=c),
    }

    def _lotinfo(self, cr, uid, context):
        #print " ***_lotinfo(lot_info) - context ", context
        obj_lot = self.pool.get('stock.production.lot')
        resultat=''
        lot_ids = []
        if context.get('active_ids', False): lot_ids = context.get('active_ids')
        #HDcm 2012_04_14 604_02chem forcer le recalcul des lots
        obj_lot.force_calc_lot(cr, uid, lot_ids, context=context)
        for lot_obj in obj_lot.browse(cr, uid, lot_ids):
            resultat += obj_lot.info_one_lot(cr, uid, lot_obj.id, context=context)
        #print "/***_lotinfo(lot_info) - resultat ", resultat
        return resultat

lot_info()
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

