# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv
from tools.translate import _
import tools

class stock_change_product_qty(osv.osv_memory):
    _name = "stock.change.product.qty"
    _inherit = "stock.change.product.qty"

    def fields_view_get(self, cr, uid, view_id=None, view_type='form', context=None, toolbar=False, submenu=False):
        result = super(stock_change_product_qty, self).fields_view_get(cr, uid, view_id, view_type, context, toolbar, submenu)
        product_id = context and context.get('active_id', False) or False

        if (context.get('active_model') == 'product.product') and product_id:
            prod_obj = self.pool.get('product.product').browse(cr, uid, product_id, context=context)
            #HDcm 2012_04_..2513 v603_03chem cette fonction n'est pas autorisee pour les produits geres par lot
            if prod_obj.hd_track_lot:
                raise osv.except_osv(_('Invalid action !'), _('This action is reserved for non lot managed products'))
            fields = result.get('fields', {})
            if fields and (prod_obj.track_production == True) and (fields.get('prodlot_id')):
                result['fields']['prodlot_id']['required'] =  True
            else:
                result['fields']['prodlot_id']['required'] = False
        return result

stock_change_product_qty()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
