# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


# v604 from osv import fields, osv
# v604 from tools.translate import _
# v604 import time

import time
from lxml import etree
from openerp.osv import fields, osv
from openerp.tools.misc import DEFAULT_SERVER_DATETIME_FORMAT
from openerp.tools.float_utils import float_compare
import openerp.addons.decimal_precision as dp
from openerp.tools.translate import _

class stock_partial_picking_line(osv.TransientModel):
    _inherit = "stock.partial.picking.line"

    _columns = {
        'quantity' : fields.float("Quantity", digits_compute=dp.get_precision('Qty Module Process'), required=True),
    }

stock_partial_picking_line()

#hdcm 2013_12_23
class stock_partial_picking(osv.TransientModel):
    _inherit = "stock.partial.picking"

    def do_partial(self, cr, uid, ids, context=None):
        #print " ***do_partial(stock_partial_picking) - ids %s - context %s"%(ids, context)
        if context is None: context = {}
        partial = self.browse(cr, uid, ids[0], context=context)
        picking_obj = self.pool.get('stock.picking')
        # dans le cas d'un picking 'Internal Moves', interdire les produits geres par lots
        if picking_obj.verif_pick_inetrnal_moves(cr, uid, partial.picking_id.id):
            picking_obj.verif_pick_with_product_manage_by_lot(cr, uid, partial.picking_id.id)
        #print "/***do_partial(stock_partial_picking)"
        return super(stock_partial_picking, self).do_partial(cr, uid, ids, context=context)

stock_partial_picking()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
