# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time

from openerp import pooler
from openerp.osv import osv
from openerp.report import report_sxw
from openerp.tools.translate import _

class lot_info_report(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(lot_info_report, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'time': time,
            'recup_info_one_lot':self._recup_info_one_lot,
        })

    def _recup_info_one_lot(self, lot_id, context=None):
        if context is None: context = {}
        lot_obj = pooler.get_pool(self.cr.dbname).get('stock.production.lot')
        res = lot_obj.info_one_lot(self.cr,self.uid, lot_id, context=context)
        return res

#report_sxw.report_sxw('report.lot.info','stock.production.lot','addons/hd_process/stock/report/lot_info.rml',parser=lot_info)
report_sxw.report_sxw('report.lot.info.webkit',
                      'stock.production.lot',
                      'addons/hd_process_report/stock/report/lot_info.mako',
                      parser=lot_info_report)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
